com.sun.jna

## Class FunctionResultContext

- java.lang.Object
- - com.sun.jna.FromNativeContext
  - - com.sun.jna.FunctionResultContext

- Direct Known Subclasses:
    MethodResultContext

      public class FunctionResultContext
      extends FromNativeContext

  Provide result conversion context for a function call.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FunctionResultContext(java.lang.Class<?> resultClass, Function function, java.lang.Object[] args)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object[]` | `getArguments()`
    `Function` | `getFunction()`

    - ### Methods inherited from class com.sun.jna.FromNativeContext

      `getTargetType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionResultContext

          FunctionResultContext(java.lang.Class<?> resultClass,
                               Function function,
                               java.lang.Object[] args)

  - ### Method Detail

    - #### getFunction

          public Function getFunction()

      Returns:
        The `Function` that was invoked.

    - #### getArguments

          public java.lang.Object[] getArguments()

      Returns:
        The arguments used in this function call.

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.